rx_bloc_test 4.0.0 copy "rx_bloc_test: ^4.0.0" to clipboard
rx_bloc_test: ^4.0.0 copied to clipboard

A Flutter package with the goal to enable testing rxBlocs from the FlutterRxBloc package with ease.

[4.0.0] - July 12, 2023 #

  • Dart 3.0 Required
  • Upgraded dependencies:
  • rx_bloc 5.0.0

[3.3.3] - January 29, 2023 #

  • Upgraded dependencies:
  • rx_bloc 4.0.0

[3.3.1] - July 30, 2022 #

  • Stability improvements

[3.3.0] - June 1, 2022 #

  • Added rxBlocFakeAsyncTest

[3.2.0] - September 24, 2021 #

  • Upgraded dependencies:
  • rx_bloc 3.2.0

[3.1.0] - August 28, 2021 #

  • Upgraded dependencies:
  • rx_bloc 3.1.0

[3.0.0] - May 21, 2021 #

  • Support Flutter 2.2
  • Update rxdart to use version 0.27.0

[2.0.1] - April 19, 2021 #

  • Stability improvements
  • Dependencies clean up
  • Increased code coverage

[2.0.0] - March 10, 2021 #

  • Migrated to Flutter 2.0 and Dart 2.12 (null-safety).

[1.0.1] - December 08, 2020 #

  • Stability improvements

[1.0.0] - December 02, 2020 #

  • Consolidated rx_bloc ecosystem in one repository
  • Applied strict static code analysis
  • Improved example

[0.0.5] August 20, 2020 #

  • Change skip default value from 1 to 0
  • Update package dependencies

[0.0.4] May 29, 2020 #

  • Update package dependencies

[0.0.3] April 7, 2020 #

  • Update package dependencies

[0.0.2] March 19, 2020 #

  • Update package dependencies

[0.0.1] March 14, 2020 #

  • Implemented rxBlocTest()
16
likes
150
pub points
52%
popularity

Publisher

verified publisherprimeholding.com

A Flutter package with the goal to enable testing rxBlocs from the FlutterRxBloc package with ease.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (license)

Dependencies

fake_async, meta, rx_bloc, rxdart, test

More

Packages that depend on rx_bloc_test